using System;
using System.Data;
using System.Configuration;
using System.ComponentModel;

namespace digioz
{

    /// <summary>
    /// CategoryInfo class. Describes Video or Picture categories
    /// </summary>
    public class CategoryInfo
    {
        private int ciID;
        private string csCategoryName;
        private string csCategoryEntity;

        public CategoryInfo()
        {
        }

        public int ID
        {
            get { return ciID; }
            set { ciID = value; }
        }

        public string CategoryName
        {
            get { return csCategoryName; }
            set { csCategoryName = value; }
        }

        public string CategoryEntity
        {
            get { return csCategoryEntity; }
            set { csCategoryEntity = value; }
        }
    }

    public class CategoryInfoList : BindingList<CategoryInfo>
    {
        public CategoryInfoList()
        { }
    }
}